#version 300 es

precision mediump float;

uniform sampler2D currentTex;
uniform sampler2D uMainTex;

in vec2 vUVRev;
in vec2 vUV;

out vec4 fragColor;

void main()
{
    vec4 currTex = texture(currentTex, vUV);
    vec4 mainTex = texture(uMainTex, vUVRev);
    if (vUV.y <= 0.0 || vUV.y >= 1.0) {
        fragColor = mainTex;
    } else {
        fragColor = currTex;
    }
}